Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FBObjectListener.ResultSetListener

All Known Implementing Classes:
  `FBObjectListener.NoActionResultSetListener`

Enclosing class:
  FBObjectListener

@NullMarked public static interface FBObjectListener.ResultSetListener
Listener for the events generated by the result set.

## Method Summary

Modifier and Type
Method
Description
`default void`
`executionCompleted(FirebirdRowUpdater updater, boolean success)`
Notify listener that execution of some row updating operation is completed.
`default void`
`executionStarted(FirebirdRowUpdater updater)`
Notify listener that execution of some row updating operation started.
`default void`
`resultSetClosed(ResultSet rs)`
Notify listener that result set was closed.

## Method Details

### resultSetClosed

default void resultSetClosed(ResultSet rs) throws SQLException
Notify listener that result set was closed.

The default implementation does nothing.

Parameters:
  `rs` - result set that was closed
Throws:
  `SQLException`

### executionStarted

default void executionStarted(FirebirdRowUpdater updater) throws SQLException
Notify listener that execution of some row updating operation started.

The default implementation does nothing.

Parameters:
  `updater` - instance of `FirebirdRowUpdater`
Throws:
  `SQLException`

### executionCompleted

default void executionCompleted(FirebirdRowUpdater updater, boolean success) throws SQLException
Notify listener that execution of some row updating operation is completed.

The default implementation does nothing.

Parameters:
  `updater` - instance of `FirebirdRowUpdater`
Throws:
  `SQLException`